Name:           perl-JSON-Tiny
Version:        0.58
Release:        4%{?dist}
Summary:        Minimalistic JSON. No dependencies
License:        ASL 2.0

URL:            https://metacpan.org/release/JSON-Tiny
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAVIDO/JSON-Tiny-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(B)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
%{?perl_default_filter}

%description
JSON::Tiny is a minimalistic standalone adaptation of Mojo::JSON, from the
Mojolicious framework. It is a single-source-file module with 350 lines of
code and core-only dependencies.

%prep
%setup -q -n JSON-Tiny-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
RELEASE_TESTING=1 make test

%files
%license LICENSE
%doc Changes README examples
%{perl_vendorlib}/JSON*
%{_mandir}/man3/JSON*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.58-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.58-3
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Nov 19 2017 Emmanuel Seyman <emmanuel@seyman.fr> - 0.58-1
- Update to 0.58

* Sun Nov 12 2017 Emmanuel Seyman <emmanuel@seyman.fr> - 0.57-1
- Update to 0.57

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.56-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.56-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.56-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat May 21 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.56-1
- Update to 0.56

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.55-2
- Perl 5.24 rebuild

* Fri May 06 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.55-1
- Update to 0.55

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.54-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 31 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.54-1
- Update to 0.54

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.53-2
- Perl 5.22 rebuild

* Sun Feb 01 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.53-1
- Update to 0.53
- Use %%license tag
- Tighten file listing

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.50-2
- Perl 5.20 rebuild

* Wed Aug 06 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 0.50-1
- Update to 0.50
- Take into account package review comments (#1126940)

* Tue Jul 29 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 0.49-1
- Update to 0.49

* Sun Mar 23 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 0.45-1
- Update to 0.45

* Sat Feb 08 2014 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.40-1
- Specfile autogenerated by cpanspec 1.78.
